GET api/userapi/user/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| is_supervisor | boolean |
Required |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "cd283831-9993-43dc-84ac-239d656fc660"
},
{
"code": "sample string 1",
"id": "cd283831-9993-43dc-84ac-239d656fc660"
}
],
"isFromWpf": true,
"sites": [
{
"id": "34b60e6d-747a-4fd6-a814-8dab2680424b",
"customer_id": "a5ebd2ef-d6b5-4a79-ae37-324a21e731f6",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "acaab698-8ab0-4479-9f54-c4b30296bd14"
},
{
"id": "34b60e6d-747a-4fd6-a814-8dab2680424b",
"customer_id": "a5ebd2ef-d6b5-4a79-ae37-324a21e731f6",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "acaab698-8ab0-4479-9f54-c4b30296bd14"
}
],
"locks": [
{
"id": "b90acbc6-dc85-46ce-be22-c8ea2e4ac585",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "02ea66d6-c100-4928-aa6f-1f61b7cc7d6f",
"guard_id": "51fa9741-6b60-4801-b808-05a24671603d",
"active": true
},
{
"id": "b90acbc6-dc85-46ce-be22-c8ea2e4ac585",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "02ea66d6-c100-4928-aa6f-1f61b7cc7d6f",
"guard_id": "51fa9741-6b60-4801-b808-05a24671603d",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "f99bdf38-a366-49df-8210-5ce3fca94210",
"firstname": "sample string 11",
"id": "e14f53bc-305d-4984-9713-fdcb1d2057b8",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-10-04T07:42:33.8825515+00:00",
"role_id": "87ff7bdc-f690-4ddf-b9b0-01189f8c25f8"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>f99bdf38-a366-49df-8210-5ce3fca94210</customer_id>
<firstname>sample string 11</firstname>
<id>e14f53bc-305d-4984-9713-fdcb1d2057b8</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>87ff7bdc-f690-4ddf-b9b0-01189f8c25f8</role_id>
<webapp_password_last_update>2026-10-04T07:42:33.8825515+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>02ea66d6-c100-4928-aa6f-1f61b7cc7d6f</distribution_id>
<guard_id>51fa9741-6b60-4801-b808-05a24671603d</guard_id>
<id>b90acbc6-dc85-46ce-be22-c8ea2e4ac585</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>02ea66d6-c100-4928-aa6f-1f61b7cc7d6f</distribution_id>
<guard_id>51fa9741-6b60-4801-b808-05a24671603d</guard_id>
<id>b90acbc6-dc85-46ce-be22-c8ea2e4ac585</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>cd283831-9993-43dc-84ac-239d656fc660</ID>
<code>sample string 1</code>
</right>
<right>
<ID>cd283831-9993-43dc-84ac-239d656fc660</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>a5ebd2ef-d6b5-4a79-ae37-324a21e731f6</customer_id>
<id>34b60e6d-747a-4fd6-a814-8dab2680424b</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>acaab698-8ab0-4479-9f54-c4b30296bd14</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>a5ebd2ef-d6b5-4a79-ae37-324a21e731f6</customer_id>
<id>34b60e6d-747a-4fd6-a814-8dab2680424b</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>acaab698-8ab0-4479-9f54-c4b30296bd14</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>